<!--
 * @Author: fhj
 * @LastEditors: fhj
 * @Description: 
-->
# Btn 按钮

用于本项目所有主要、次要、删除按钮。

## Btn Attributes

| 参数           | 说明                             | 类型    | 可选值                     | 默认值                             |
| -------------- | -------------------------------- | ------- | -------------------------- | ---------------------------------- |
| type          | 按钮类型                     | String  | `primary`/`info`/`delete`  /`reset` / `link`  /`reject` /`link-text`                       | `primary`                               |
| attr  | 支持el-button所有属性                | Any  | -                          |                       |

> `type`为`delete`时为删除样式按钮\
> `type`为`reset`时为重置样式按钮\
> `type`为`primary`时为深蓝色主要功能按钮\
> `type`为`info`时为灰色次要按钮\
> `type`为`text`时为字体含背景按钮\
> `type`为`link-text`时为字体按钮\
> `type`为`reject`时为红色背景警告按钮\

## Demo

### 基本用法

```html
<template>
    <f-btn>确认</f-btn>
    <f-btn type="info">取消</f-btn>
    <f-btn type="reject">驳回</f-btn>
    <f-btn type="delete">删除</f-btn>
    <f-btn type="reset">重置</f-btn>
    <f-btn type="text">文字背景</f-btn>
    <f-btn type="link-text">文字</f-btn>
    
    <br>
    <br>

    <!-- 禁用状态 -->
    <f-btn disabled>确认</f-btn>
    <f-btn type="info" disabled>取消</f-btn>
    <f-btn type="reject" disabled>驳回</f-btn>
    <f-btn type="delete" disabled>删除</f-btn>
    <f-btn type="reset" disabled>重置</f-btn>
    <f-btn type="text" disabled>文字背景</f-btn>
    <f-btn type="link-text" disabled>文字</f-btn>

</template>
<script>
  export default {
    data() {
      return {
        
      };
    }
  };
</script>
<!-- btn-basic-usage.vue -->
```
