<!--
 * @Author: fhj
 * @LastEditors: fhj
 * @Description: 
-->
# Input 输入框组件

input输入框


## Input Attributes

| 参数          | 说明                                            | 类型    | 可选值     | 默认值  |
| ------------- | ----------------------------------------------- | ------- | ---------- | ------- |
| v-model          | 双向绑定数据                                    | String/Number  | -          | ''       |
| inputType     | 输入框类型，默认空                  | String | Number/autoValue         | ``  |
| disabled     | disabled状态，可以传Fn                  | Function,Boolean | -        | `false`  |
| attrs         | 其他跟el-input一致                      | Any     |            |

> inputType为Number时 输入框开启数字输入限制，参考onlyNumber指令\
> inputType为autoValue时 默认placeholder为`--自动带入--`\
> 其他与el-input所有操作一样

### Input Autocomplete Slots


| 键名        | 说明                         
| ----------- | ------|
| prefix        | 输入框头部内容
| suffix        | 输入框尾部内容

> 仅支持这2个插槽


## Input Events

| 事件名称 | 说明                 | 回调参数                                                                        |
| -------- | -------------------- | -------------------------------------- |
| change   | 输入框值发生改变时触发 | value |
| blur   | input失去焦点时触发 | value |
| focus   | input聚焦时触发 | value |

## Demo

### 基本用法

```html
<template>
  <div class="test">
    <f-input v-model="value" @change="change" @focus="focus" @blur="blur">
			<template #prefix>头部</template>
			<template #suffix>尾部</template>
		</f-input>
		<br>
		<br>
    <f-input v-model="value"  type="textarea"/>
		<br>
		<br>
		<f-input v-model="value" inputType="Number" :numberConfig="{max: 100, min: 0, decimal: 2}">
		</f-input>
  </div>
</template>

<script>
export default {
  name: 'Input',
  data() {
    return {
      value:'123'
    };
  },
  mounted(){
	  setTimeout(()=>{
      this.value = 123123;
    },1000);
  },
  methods: {
    change:function(val){
		  console.log('change',val);
    },
    focus:function(val){
		  console.log('focus',val);
    },
    blur:function(val){
		  console.log('blur',val);
    }
  }
};
</script>


<!-- input-basic-usage.vue -->
```
